Subject: Re: bug#49281: Add dynaconf

From: paul <[email-masked]>
Date: Mon, 2 Aug 2021 20:13:20 +0200

Dear Sarah,

thank you for your suggestions :D , I believe I addressed most of them.

On 7/23/21 8:14 AM, Sarah Morgensen wrote:
> * Unvendoring or otherwise removing files from sources is typically done
>    with a snippet in the origin rather than a patch, as it's much smaller
>    and doesn't break when updating. It might look like (untested):
>
> (origin
>    ...
>    (modules '((guix build utils)))
>    (snippet
>      '(begin
>        ;; Remove vendored dependencies
>        (let ((unvendor '("click" "dotenv" "ruamel" "toml")))
>          (with-directory-excursion "dynaconf/vendor"
>            (for-each delete-file-recursively unvendor))
>          (with-directory-excursion "dynaconf/vendor_src"
>            (for-each delete-file-recursively unvendor))))))
>
>    You'll still have to have the edits to dynaconf as a patch, of course.
It make much more sense, now the patch just changes the imports and the 
actual removal is up to the snippet.
> * You've still included a python-box package despite none of the
>    packages in your patch using it.
Yes I included it while unvendoring, I figured since the tests pass it 
would still make sense to upstream it. Should I remove it?
> * pep8-naming has released 12.0.0, and tests pass :)
Fixed, thanks !
> * Some of your patches no longer apply on master, and you should rebase
>    them before sending a revised patchset. Consider using the `--base`
>    option with format-patch, which helps git know what commit the patch
>    is based on when applying.

I rebased and I'll send the patches with 
--base=f12a35cfa22092a7e3157c94abfef8335f86ac1c .

Thank you for your help!

Cheers,

giacomo